File fluidsynth.spec of Package fluidsynth

#
# spec file for package fluidsynth
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           fluidsynth
Version:        1.1.5
Release:        1
# Obsoletes:    iiwusynth
# Provides:     iiwusynth
License:        LGPL-2.1+
Summary:        A Real-Time Software Synthesizer That Uses Soundfont(tm)
Url:            http://www.fluidsynth.org/
Group:          Productivity/Multimedia/Sound/Midi
Source:         http://downloads.sourceforge.net/project/fluidsynth/fluidsynth-%{version}/%{name}-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         fluidsynth-fix-build-lash.diff
BuildRequires:  alsa-devel
BuildRequires:  cmake
BuildRequires:  ladspa-devel
BuildRequires:  lash-devel
BuildRequires:  libjack-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FluidSynth (formerly IIWU Synth) is based on the SoundFont(tm) 2
specifications. It is a real-time "software synthesizer". FluidSynth
can read MIDI events from the MIDI input device and render them to the
audio device. It can also play MIDI files.

%package devel
License:        LGPL-2.1+
Summary:        Development package for the fluidsynth library
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libfluidsynth1 = %{version}
Provides:       libfluidsynth-devel = %{version}

%description devel
This package contains the files needed to compile programs that use the
fluidsynth library.

%package -n libfluidsynth1
License:        LGPL-2.1+
Summary:        Library for Fluidsynth
Group:          System/Libraries

%description -n libfluidsynth1
This package contains the shared library for Fluidsynth.

%prep
%setup -q
%patch1 -p1

%build
mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=%{_prefix} -Denable-ladspa=1
make %{?_smp_mflags} VERBOSE=1

%install
cd build
%make_install

%post -n libfluidsynth1 -p /sbin/ldconfig

%postun -n libfluidsynth1 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%doc %{_mandir}/man?/*
%{_bindir}/*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files -n libfluidsynth1
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%changelog